Index: trunk/desktop/mainWindow.rbfrm
===================================================================
--- trunk/desktop/mainWindow.rbfrm	(revision 3)
+++ trunk/desktop/mainWindow.rbfrm	(revision 3)
@@ -0,0 +1,32 @@
+#tag Window
+Begin Window mainWindow
+   BackColor       =   &hFFFFFF
+   Backdrop        =   ""
+   CloseButton     =   True
+   Composite       =   False
+   Frame           =   0
+   FullScreen      =   False
+   HasBackColor    =   False
+   Height          =   400
+   ImplicitInstance=   True
+   LiveResize      =   True
+   MacProcID       =   0
+   MaxHeight       =   32000
+   MaximizeButton  =   False
+   MaxWidth        =   32000
+   MenuBar         =   1097909413
+   MenuBarVisible  =   True
+   MinHeight       =   64
+   MinimizeButton  =   True
+   MinWidth        =   64
+   Placement       =   0
+   Resizeable      =   True
+   Title           =   "Untitled"
+   Visible         =   True
+   Width           =   600
+End
+#tag EndWindow
+
+#tag WindowCode
+#tag EndWindowCode
+
Index: trunk/desktop/FlipSideICS.rbbas
===================================================================
--- trunk/desktop/FlipSideICS.rbbas	(revision 3)
+++ trunk/desktop/FlipSideICS.rbbas	(revision 3)
@@ -0,0 +1,20 @@
+#tag Class
+Protected Class FlipSideICS
+Inherits Application
+	#tag Constant, Name = kFileQuitShortcut, Type = String, Dynamic = False, Default = \"", Scope = Public
+		#Tag Instance, Platform = Mac OS, Language = Default, Definition  = \"Cmd+Q"
+		#Tag Instance, Platform = Linux, Language = Default, Definition  = \"Ctrl+Q"
+	#tag EndConstant
+
+	#tag Constant, Name = kFileQuit, Type = String, Dynamic = False, Default = \"&Quit", Scope = Public
+		#Tag Instance, Platform = Windows, Language = Default, Definition  = \"E&xit"
+	#tag EndConstant
+
+	#tag Constant, Name = kEditClear, Type = String, Dynamic = False, Default = \"&Delete", Scope = Public
+		#Tag Instance, Platform = Windows, Language = Default, Definition  = \"&Delete"
+		#Tag Instance, Platform = Linux, Language = Default, Definition  = \"&Delete"
+	#tag EndConstant
+
+
+End Class
+#tag EndClass
Index: trunk/desktop/FlipSideICS.rbvcp
===================================================================
--- trunk/desktop/FlipSideICS.rbvcp	(revision 3)
+++ trunk/desktop/FlipSideICS.rbvcp	(revision 3)
@@ -0,0 +1,33 @@
+Type=Desktop
+RBProjectVersion=2009.01
+Class=FlipSideICS;FlipSideICS.rbbas;&h321864E;&h0;false
+Window=mainWindow;mainWindow.rbfrm;&hDF8AE23;&h0;false
+MenuBar=mainMenuBar;mainMenuBar.rbmnu;&h4170C4A5;&h0;false
+DefaultWindow=mainWindow
+AppMenuBar=mainMenuBar
+MajorVersion=1
+MinorVersion=0
+SubVersion=0
+NonRelease=0
+Release=0
+InfoVersion=
+LongVersion=
+ShortVersion=
+WinCompanyName=
+WinInternalName=
+WinProductName=
+AutoIncrementVersionInformation=False
+BuildFlags=&h4000
+BuildLanguage=&h0
+DebugLanguage=&h0
+Region=
+WindowsName=FlipSideICS.exe
+MacCarbonMachName=FlipSideICS
+LinuxX86Name=FlipSideICS
+MacCreator=
+MDI=0
+MDICaption=
+DefaultEncoding=&h0
+AppIcon=FlipSideICS.rbres;&h0
+OSXBundleID=
+DebuggerCommandLine=
Index: trunk/desktop/mainMenuBar.rbmnu
===================================================================
--- trunk/desktop/mainMenuBar.rbmnu	(revision 3)
+++ trunk/desktop/mainMenuBar.rbmnu	(revision 3)
@@ -0,0 +1,87 @@
+#tag Menu
+Begin Menu mainMenuBar
+   Begin MenuItem FileMenu
+      SpecialMenu = 0
+      Text = "&File"
+      Index = -2147483648
+      AutoEnable = True
+      Begin QuitMenuItem FileQuit
+         SpecialMenu = 0
+         Text = "#App.kFileQuit"
+         Index = -2147483648
+         ShortcutKey = "#App.kFileQuitShortcut"
+         Shortcut = "#App.kFileQuitShortcut"
+         AutoEnable = True
+      End
+   End
+   Begin MenuItem EditMenu
+      SpecialMenu = 0
+      Text = "&Edit"
+      Index = -2147483648
+      AutoEnable = True
+      Begin MenuItem EditUndo
+         SpecialMenu = 0
+         Text = "&Undo"
+         Index = -2147483648
+         ShortcutKey = "Z"
+         Shortcut = "Cmd+Z"
+         MenuModifier = True
+         AutoEnable = True
+      End
+      Begin MenuItem 
+         SpecialMenu = 0
+         Text = "-"
+         Index = -2147483648
+         AutoEnable = True
+      End
+      Begin MenuItem EditCut
+         SpecialMenu = 0
+         Text = "Cu&t"
+         Index = -2147483648
+         ShortcutKey = "X"
+         Shortcut = "Cmd+X"
+         MenuModifier = True
+         AutoEnable = True
+      End
+      Begin MenuItem EditCopy
+         SpecialMenu = 0
+         Text = "&Copy"
+         Index = -2147483648
+         ShortcutKey = "C"
+         Shortcut = "Cmd+C"
+         MenuModifier = True
+         AutoEnable = True
+      End
+      Begin MenuItem EditPaste
+         SpecialMenu = 0
+         Text = "&Paste"
+         Index = -2147483648
+         ShortcutKey = "V"
+         Shortcut = "Cmd+V"
+         MenuModifier = True
+         AutoEnable = True
+      End
+      Begin MenuItem EditClear
+         SpecialMenu = 0
+         Text = "#App.kEditClear"
+         Index = -2147483648
+         AutoEnable = True
+      End
+      Begin MenuItem 
+         SpecialMenu = 0
+         Text = "-"
+         Index = -2147483648
+         AutoEnable = True
+      End
+      Begin MenuItem EditSelectAll
+         SpecialMenu = 0
+         Text = "Select &All"
+         Index = -2147483648
+         ShortcutKey = "A"
+         Shortcut = "Cmd+A"
+         MenuModifier = True
+         AutoEnable = True
+      End
+   End
+End
+#tag EndMenu