Index: trunk/desktop/mainWindow.rbfrm
===================================================================
--- trunk/desktop/mainWindow.rbfrm	(revision 3)
+++ trunk/desktop/mainWindow.rbfrm	(revision 4)
@@ -2,5 +2,5 @@
 Begin Window mainWindow
    BackColor       =   &hFFFFFF
-   Backdrop        =   ""
+   Backdrop        =   1384026073
    CloseButton     =   True
    Composite       =   False
@@ -8,5 +8,5 @@
    FullScreen      =   False
    HasBackColor    =   False
-   Height          =   400
+   Height          =   480
    ImplicitInstance=   True
    LiveResize      =   True
@@ -22,7 +22,117 @@
    Placement       =   0
    Resizeable      =   True
-   Title           =   "Untitled"
+   Title           =   "Flip Side ICS"
    Visible         =   True
-   Width           =   600
+   Width           =   480
+   Begin PagePanel PagePanel1
+      AutoDeactivate  =   True
+      Enabled         =   True
+      Height          =   432
+      HelpTag         =   ""
+      Index           =   -2147483648
+      InitialParent   =   ""
+      Left            =   0
+      LockBottom      =   True
+      LockedInPosition=   False
+      LockLeft        =   True
+      LockRight       =   True
+      LockTop         =   True
+      PanelCount      =   4
+      Panels          =   ""
+      Scope           =   0
+      TabIndex        =   0
+      TabPanelIndex   =   0
+      Top             =   48
+      Value           =   0
+      Visible         =   True
+      Width           =   480
+   End
+   Begin PushButton PushButton_General
+      AutoDeactivate  =   True
+      Bold            =   ""
+      Cancel          =   ""
+      Caption         =   "Config"
+      Default         =   ""
+      Enabled         =   True
+      Height          =   22
+      HelpTag         =   ""
+      Index           =   -2147483648
+      InitialParent   =   ""
+      Italic          =   ""
+      Left            =   173
+      LockBottom      =   ""
+      LockedInPosition=   False
+      LockLeft        =   ""
+      LockRight       =   ""
+      LockTop         =   ""
+      Scope           =   0
+      TabIndex        =   1
+      TabPanelIndex   =   0
+      TabStop         =   True
+      TextFont        =   "System"
+      TextSize        =   0
+      Top             =   14
+      Underline       =   ""
+      Visible         =   True
+      Width           =   88
+   End
+   Begin PushButton PushButton_Car
+      AutoDeactivate  =   True
+      Bold            =   ""
+      Cancel          =   ""
+      Caption         =   "Car"
+      Default         =   ""
+      Enabled         =   True
+      Height          =   22
+      HelpTag         =   ""
+      Index           =   -2147483648
+      InitialParent   =   ""
+      Italic          =   ""
+      Left            =   273
+      LockBottom      =   ""
+      LockedInPosition=   False
+      LockLeft        =   ""
+      LockRight       =   ""
+      LockTop         =   ""
+      Scope           =   0
+      TabIndex        =   2
+      TabPanelIndex   =   0
+      TabStop         =   True
+      TextFont        =   "System"
+      TextSize        =   0
+      Top             =   14
+      Underline       =   ""
+      Visible         =   True
+      Width           =   88
+   End
+   Begin PushButton PushButton_Advanced
+      AutoDeactivate  =   True
+      Bold            =   ""
+      Cancel          =   ""
+      Caption         =   "Advanced"
+      Default         =   ""
+      Enabled         =   True
+      Height          =   22
+      HelpTag         =   ""
+      Index           =   -2147483648
+      InitialParent   =   ""
+      Italic          =   ""
+      Left            =   373
+      LockBottom      =   ""
+      LockedInPosition=   False
+      LockLeft        =   ""
+      LockRight       =   ""
+      LockTop         =   ""
+      Scope           =   0
+      TabIndex        =   3
+      TabPanelIndex   =   0
+      TabStop         =   True
+      TextFont        =   "System"
+      TextSize        =   0
+      Top             =   14
+      Underline       =   ""
+      Visible         =   True
+      Width           =   88
+   End
 End
 #tag EndWindow
Index: trunk/desktop/FlipSideICS.rbvcp
===================================================================
--- trunk/desktop/FlipSideICS.rbvcp	(revision 3)
+++ trunk/desktop/FlipSideICS.rbvcp	(revision 4)
@@ -4,4 +4,5 @@
 Window=mainWindow;mainWindow.rbfrm;&hDF8AE23;&h0;false
 MenuBar=mainMenuBar;mainMenuBar.rbmnu;&h4170C4A5;&h0;false
+Picture=background;background.jpg;&h527E8FD9;&h0;false;0;&h0
 DefaultWindow=mainWindow
 AppMenuBar=mainMenuBar