Index: trunk/desktop/ICSSerialPort.rbbas
===================================================================
--- trunk/desktop/ICSSerialPort.rbbas	(revision 5)
+++ trunk/desktop/ICSSerialPort.rbbas	(revision 5)
@@ -0,0 +1,197 @@
+#tag Class
+Protected Class ICSSerialPort
+Inherits serial
+	#tag Method, Flags = &h0
+		Sub resetCar()
+		  //This sends the command to reset the car back to a default configuration
+		  //Defaults are different for each car type
+		  
+		  dim sendstring as string
+		  
+		  select case carType
+		    
+		  case "MR-03"
+		    
+		    
+		  case "dNaNo"
+		    
+		    
+		  case "ASF"
+		    
+		    
+		  case "AD"
+		    
+		    
+		  else
+		    //default thing to do
+		    MsgBox "Error invalid car type"
+		    Return
+		    
+		  end select
+		  
+		  me.Write(sendstring)
+		End Sub
+	#tag EndMethod
+
+	#tag Method, Flags = &h0
+		Sub setDefaultValues()
+		  //Set the defaults for the bytes sent to a car
+		  
+		  dim sendstring as string
+		  
+		  select case carType
+		    
+		  case "MR-03"
+		    
+		    
+		  case "dNaNo"
+		    
+		    
+		  case "ASF"
+		    
+		    
+		  case "AD"
+		    
+		    
+		  else
+		    //default thing to do
+		    MsgBox "Error invalid car type"
+		    
+		  end select
+		End Sub
+	#tag EndMethod
+
+	#tag Method, Flags = &h0
+		Sub setCarType(value as string)
+		  //When setting car type we must reconfigure the serial port
+		  //Some car types have a different baud rate
+		  
+		  select case value
+		    
+		  case "MR-03"
+		    carType = value
+		  case "dNaNo"
+		    carType = value
+		  case "AD"
+		    carType = value
+		  case "ASF"
+		    carType = value
+		  else
+		    MsgBox "Error setting Car Type"
+		  end select
+		End Sub
+	#tag EndMethod
+
+	#tag Method, Flags = &h0
+		Sub writeCar()
+		  //Send set bytes to the car
+		  
+		  dim sendstring as string
+		  
+		  calculateChecksum()
+		  
+		  sendstring = byte01 + byte02 + byte03 + byte04 + byte05 + byte06 + byte07 + byte08 + byte09 + byte10 + byte11 + byte12 + byte13 + byte14 + byte15 + byte16 + byte17 + byte18
+		  
+		  me.Write(sendstring)
+		End Sub
+	#tag EndMethod
+
+	#tag Method, Flags = &h0
+		Sub calculateChecksum()
+		  //Use this to calculate byte 18, the checksum
+		End Sub
+	#tag EndMethod
+
+
+	#tag Note, Name = General
+		Car type must be set for this to operate
+		Car types supported by this application are
+		MR-03
+		dNaNo
+		ASF
+		AD
+		
+		
+		
+	#tag EndNote
+
+
+	#tag Property, Flags = &h0
+		byte01 As String = "&hFF"
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte11 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte12 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte13 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte14 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte15 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte16 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte17 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte18 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte02 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte03 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte04 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte05 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte06 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte07 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte08 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte09 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h0
+		byte10 As String
+	#tag EndProperty
+
+	#tag Property, Flags = &h21
+		Private carType As String = "MR-03"
+	#tag EndProperty
+
+
+End Class
+#tag EndClass
Index: trunk/desktop/mainWindow.rbfrm
===================================================================
--- trunk/desktop/mainWindow.rbfrm	(revision 4)
+++ trunk/desktop/mainWindow.rbfrm	(revision 5)
@@ -4,5 +4,5 @@
    Backdrop        =   1384026073
    CloseButton     =   True
-   Composite       =   False
+   Composite       =   True
    Frame           =   0
    FullScreen      =   False
@@ -28,5 +28,5 @@
       AutoDeactivate  =   True
       Enabled         =   True
-      Height          =   432
+      Height          =   382
       HelpTag         =   ""
       Index           =   -2147483648
@@ -43,8 +43,862 @@
       TabIndex        =   0
       TabPanelIndex   =   0
-      Top             =   48
-      Value           =   0
+      Top             =   98
+      Value           =   2
       Visible         =   True
       Width           =   480
+      Begin PopupMenu PopupMenu_SerialPort
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         InitialValue    =   ""
+         Italic          =   ""
+         Left            =   20
+         ListIndex       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   0
+         TabPanelIndex   =   1
+         TabStop         =   True
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   133
+         Underline       =   ""
+         Visible         =   True
+         Width           =   161
+      End
+      Begin PopupMenu PopupMenu_CarType
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         InitialValue    =   ""
+         Italic          =   ""
+         Left            =   20
+         ListIndex       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   1
+         TabPanelIndex   =   1
+         TabStop         =   True
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   190
+         Underline       =   ""
+         Visible         =   True
+         Width           =   161
+      End
+      Begin Slider Slider_THGain
+         AutoDeactivate  =   True
+         Enabled         =   True
+         Height          =   16
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Left            =   20
+         LineStep        =   1
+         LiveScroll      =   ""
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Maximum         =   255
+         Minimum         =   1
+         PageStep        =   20
+         Scope           =   0
+         TabIndex        =   0
+         TabPanelIndex   =   3
+         TabStop         =   True
+         Top             =   425
+         Value           =   0
+         Visible         =   True
+         Width           =   128
+      End
+      Begin EditField EditField_THGain
+         AcceptTabs      =   ""
+         Alignment       =   0
+         AutoDeactivate  =   True
+         BackColor       =   &hFFFFFF
+         Bold            =   ""
+         Border          =   True
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Format          =   ""
+         Height          =   22
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   160
+         LimitText       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Mask            =   "#"
+         Multiline       =   ""
+         Password        =   ""
+         ReadOnly        =   ""
+         Scope           =   0
+         ScrollbarHorizontal=   ""
+         ScrollbarVertical=   True
+         Styled          =   ""
+         TabIndex        =   1
+         TabPanelIndex   =   3
+         TabStop         =   True
+         Text            =   ""
+         TextColor       =   &h000000
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   425
+         Underline       =   ""
+         UseFocusRing    =   True
+         Visible         =   True
+         Width           =   32
+      End
+      Begin StaticText StaticText_THGain
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   204
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   2
+         TabPanelIndex   =   3
+         Text            =   "Throttle Gain"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   425
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin Slider Slider_STGain
+         AutoDeactivate  =   True
+         Enabled         =   True
+         Height          =   16
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Left            =   20
+         LineStep        =   1
+         LiveScroll      =   ""
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Maximum         =   255
+         Minimum         =   1
+         PageStep        =   20
+         Scope           =   0
+         TabIndex        =   3
+         TabPanelIndex   =   3
+         TabStop         =   True
+         Top             =   391
+         Value           =   0
+         Visible         =   True
+         Width           =   128
+      End
+      Begin EditField EditField_STGain
+         AcceptTabs      =   ""
+         Alignment       =   0
+         AutoDeactivate  =   True
+         BackColor       =   &hFFFFFF
+         Bold            =   ""
+         Border          =   True
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Format          =   ""
+         Height          =   22
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   160
+         LimitText       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Mask            =   "#"
+         Multiline       =   ""
+         Password        =   ""
+         ReadOnly        =   ""
+         Scope           =   0
+         ScrollbarHorizontal=   ""
+         ScrollbarVertical=   True
+         Styled          =   ""
+         TabIndex        =   4
+         TabPanelIndex   =   3
+         TabStop         =   True
+         Text            =   ""
+         TextColor       =   &h000000
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   391
+         Underline       =   ""
+         UseFocusRing    =   True
+         Visible         =   True
+         Width           =   32
+      End
+      Begin StaticText StaticText_STGain
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   204
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   5
+         TabPanelIndex   =   3
+         Text            =   "Steering Gain"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   391
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin PopupMenu PopupMenu_BackTiming
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         InitialValue    =   "1\r2\r3\r4\r5"
+         Italic          =   ""
+         Left            =   20
+         ListIndex       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   6
+         TabPanelIndex   =   3
+         TabStop         =   True
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   359
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin StaticText StaticText_BackTiming
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   204
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   7
+         TabPanelIndex   =   3
+         Text            =   "Back Timing"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   359
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin PopupMenu PopupMenu_VerticalInteria
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         InitialValue    =   "Strong\r2\r3\r4\rOff"
+         Italic          =   ""
+         Left            =   20
+         ListIndex       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   8
+         TabPanelIndex   =   3
+         TabStop         =   True
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   328
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin StaticText StaticText_VerticalIntertia
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   204
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   9
+         TabPanelIndex   =   3
+         Text            =   "Vertical Intertia"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   328
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin PopupMenu PopupMenu_Nuetral
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         InitialValue    =   "Narrow\rMid\rWide"
+         Italic          =   ""
+         Left            =   20
+         ListIndex       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   10
+         TabPanelIndex   =   3
+         TabStop         =   True
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   296
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin StaticText StaticText_Nuetral
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   204
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   11
+         TabPanelIndex   =   3
+         Text            =   "Nuetral"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   296
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin PopupMenu PopupMenu_DFreq
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         InitialValue    =   "5kHz\r2.5kHz\r1.2kHz"
+         Italic          =   ""
+         Left            =   20
+         ListIndex       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   12
+         TabPanelIndex   =   3
+         TabStop         =   True
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   266
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin StaticText StaticText_DFreq
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   204
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   13
+         TabPanelIndex   =   3
+         Text            =   "Drive Frequency"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   265
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin PopupMenu PopupMenu_Dump
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         InitialValue    =   "Over\rSmooth"
+         Italic          =   ""
+         Left            =   20
+         ListIndex       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   14
+         TabPanelIndex   =   3
+         TabStop         =   True
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   234
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin StaticText StaticText_Dump
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   204
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   15
+         TabPanelIndex   =   3
+         Text            =   "Dump"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   234
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin PopupMenu PopupMenu_DBand
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         InitialValue    =   "Narrow\rMid\rWide"
+         Italic          =   ""
+         Left            =   20
+         ListIndex       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   16
+         TabPanelIndex   =   3
+         TabStop         =   True
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   202
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin StaticText StaticText_DBand
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   204
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   17
+         TabPanelIndex   =   3
+         Text            =   "Drive Band"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   202
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin Slider Slider_Punch
+         AutoDeactivate  =   True
+         Enabled         =   True
+         Height          =   16
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Left            =   20
+         LineStep        =   1
+         LiveScroll      =   ""
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Maximum         =   255
+         Minimum         =   1
+         PageStep        =   20
+         Scope           =   0
+         TabIndex        =   18
+         TabPanelIndex   =   3
+         TabStop         =   True
+         Top             =   174
+         Value           =   0
+         Visible         =   True
+         Width           =   128
+      End
+      Begin EditField EditField_Punch
+         AcceptTabs      =   ""
+         Alignment       =   0
+         AutoDeactivate  =   True
+         BackColor       =   &hFFFFFF
+         Bold            =   ""
+         Border          =   True
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Format          =   ""
+         Height          =   22
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   160
+         LimitText       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Mask            =   "#"
+         Multiline       =   ""
+         Password        =   ""
+         ReadOnly        =   ""
+         Scope           =   0
+         ScrollbarHorizontal=   ""
+         ScrollbarVertical=   True
+         Styled          =   ""
+         TabIndex        =   19
+         TabPanelIndex   =   3
+         TabStop         =   True
+         Text            =   ""
+         TextColor       =   &h000000
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   174
+         Underline       =   ""
+         UseFocusRing    =   True
+         Visible         =   True
+         Width           =   32
+      End
+      Begin StaticText StaticText_Punch
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   204
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   20
+         TabPanelIndex   =   3
+         Text            =   "Punch"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   174
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin PopupMenu PopupMenu_Speed
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         InitialValue    =   "Slow\r2\r3\r4\rFast"
+         Italic          =   ""
+         Left            =   20
+         ListIndex       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   21
+         TabPanelIndex   =   3
+         TabStop         =   True
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   142
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin StaticText StaticText_Speed
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   204
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   22
+         TabPanelIndex   =   3
+         Text            =   "Speed"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   142
+         Underline       =   ""
+         Visible         =   True
+         Width           =   100
+      End
+      Begin PopupMenu PopupMenu_Gain
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         InitialValue    =   "Min\rMid\rStrong"
+         Italic          =   ""
+         Left            =   20
+         ListIndex       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   23
+         TabPanelIndex   =   3
+         TabStop         =   True
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   110
+         Underline       =   ""
+         Visible         =   True
+         Width           =   128
+      End
+      Begin StaticText StaticText_Gain
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   204
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   24
+         TabPanelIndex   =   3
+         Text            =   "Gain"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   111
+         Underline       =   ""
+         Visible         =   True
+         Width           =   100
+      End
    End
    Begin PushButton PushButton_General
@@ -141,2 +995,9 @@
 #tag EndWindowCode
 
+#tag Events PushButton_Car
+	#tag Event
+		Sub Action()
+		  PagePanel1.Value = 2
+		End Sub
+	#tag EndEvent
+#tag EndEvents
Index: trunk/desktop/FlipSideICS.rbvcp
===================================================================
--- trunk/desktop/FlipSideICS.rbvcp	(revision 4)
+++ trunk/desktop/FlipSideICS.rbvcp	(revision 5)
@@ -5,4 +5,5 @@
 MenuBar=mainMenuBar;mainMenuBar.rbmnu;&h4170C4A5;&h0;false
 Picture=background;background.jpg;&h527E8FD9;&h0;false;0;&h0
+Class=ICSSerialPort;ICSSerialPort.rbbas;&h73165B84;&h0;false
 DefaultWindow=mainWindow
 AppMenuBar=mainMenuBar