Index: trunk/desktop/FlipSideICS.rbbas
===================================================================
--- trunk/desktop/FlipSideICS.rbbas	(revision 3)
+++ trunk/desktop/FlipSideICS.rbbas	(revision 8)
@@ -17,4 +17,6 @@
 
 
+	#tag ViewBehavior
+	#tag EndViewBehavior
 End Class
 #tag EndClass
Index: trunk/desktop/mainMenuBar.rbmnu
===================================================================
--- trunk/desktop/mainMenuBar.rbmnu	(revision 3)
+++ trunk/desktop/mainMenuBar.rbmnu	(revision 8)
@@ -29,5 +29,5 @@
          AutoEnable = True
       End
-      Begin MenuItem 
+      Begin MenuItem UntitledMenu1
          SpecialMenu = 0
          Text = "-"
@@ -68,5 +68,5 @@
          AutoEnable = True
       End
-      Begin MenuItem 
+      Begin MenuItem UntitledMenu0
          SpecialMenu = 0
          Text = "-"
Index: trunk/desktop/mainWindow.rbfrm
===================================================================
--- trunk/desktop/mainWindow.rbfrm	(revision 5)
+++ trunk/desktop/mainWindow.rbfrm	(revision 8)
@@ -24,9 +24,9 @@
    Title           =   "Flip Side ICS"
    Visible         =   True
-   Width           =   480
+   Width           =   640
    Begin PagePanel PagePanel1
       AutoDeactivate  =   True
       Enabled         =   True
-      Height          =   382
+      Height          =   360
       HelpTag         =   ""
       Index           =   -2147483648
@@ -43,8 +43,8 @@
       TabIndex        =   0
       TabPanelIndex   =   0
-      Top             =   98
+      Top             =   80
       Value           =   2
       Visible         =   True
-      Width           =   480
+      Width           =   640
       Begin PopupMenu PopupMenu_SerialPort
          AutoDeactivate  =   True
@@ -72,5 +72,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   133
+         Top             =   115
          Underline       =   ""
          Visible         =   True
@@ -102,5 +102,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   190
+         Top             =   172
          Underline       =   ""
          Visible         =   True
@@ -114,5 +114,5 @@
          Index           =   -2147483648
          InitialParent   =   "PagePanel1"
-         Left            =   20
+         Left            =   316
          LineStep        =   1
          LiveScroll      =   ""
@@ -129,5 +129,5 @@
          TabPanelIndex   =   3
          TabStop         =   True
-         Top             =   425
+         Top             =   221
          Value           =   0
          Visible         =   True
@@ -150,5 +150,5 @@
          InitialParent   =   "PagePanel1"
          Italic          =   ""
-         Left            =   160
+         Left            =   456
          LimitText       =   0
          LockBottom      =   ""
@@ -157,5 +157,5 @@
          LockRight       =   ""
          LockTop         =   ""
-         Mask            =   "#"
+         Mask            =   "###"
          Multiline       =   ""
          Password        =   ""
@@ -172,5 +172,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   425
+         Top             =   221
          Underline       =   ""
          UseFocusRing    =   True
@@ -189,5 +189,5 @@
          InitialParent   =   "PagePanel1"
          Italic          =   ""
-         Left            =   204
+         Left            =   500
          LockBottom      =   ""
          LockedInPosition=   False
@@ -204,5 +204,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   425
+         Top             =   221
          Underline       =   ""
          Visible         =   True
@@ -216,5 +216,5 @@
          Index           =   -2147483648
          InitialParent   =   "PagePanel1"
-         Left            =   20
+         Left            =   316
          LineStep        =   1
          LiveScroll      =   ""
@@ -231,5 +231,5 @@
          TabPanelIndex   =   3
          TabStop         =   True
-         Top             =   391
+         Top             =   187
          Value           =   0
          Visible         =   True
@@ -252,5 +252,5 @@
          InitialParent   =   "PagePanel1"
          Italic          =   ""
-         Left            =   160
+         Left            =   456
          LimitText       =   0
          LockBottom      =   ""
@@ -259,5 +259,5 @@
          LockRight       =   ""
          LockTop         =   ""
-         Mask            =   "#"
+         Mask            =   "###"
          Multiline       =   ""
          Password        =   ""
@@ -274,5 +274,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   391
+         Top             =   187
          Underline       =   ""
          UseFocusRing    =   True
@@ -291,5 +291,5 @@
          InitialParent   =   "PagePanel1"
          Italic          =   ""
-         Left            =   204
+         Left            =   500
          LockBottom      =   ""
          LockedInPosition=   False
@@ -306,5 +306,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   391
+         Top             =   187
          Underline       =   ""
          Visible         =   True
@@ -323,5 +323,5 @@
          InitialValue    =   "1\r2\r3\r4\r5"
          Italic          =   ""
-         Left            =   20
+         Left            =   316
          ListIndex       =   0
          LockBottom      =   ""
@@ -336,8 +336,8 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   359
-         Underline       =   ""
-         Visible         =   True
-         Width           =   128
+         Top             =   155
+         Underline       =   ""
+         Visible         =   True
+         Width           =   172
       End
       Begin StaticText StaticText_BackTiming
@@ -352,5 +352,5 @@
          InitialParent   =   "PagePanel1"
          Italic          =   ""
-         Left            =   204
+         Left            =   500
          LockBottom      =   ""
          LockedInPosition=   False
@@ -367,5 +367,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   359
+         Top             =   155
          Underline       =   ""
          Visible         =   True
@@ -384,5 +384,5 @@
          InitialValue    =   "Strong\r2\r3\r4\rOff"
          Italic          =   ""
-         Left            =   20
+         Left            =   316
          ListIndex       =   0
          LockBottom      =   ""
@@ -397,8 +397,8 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   328
-         Underline       =   ""
-         Visible         =   True
-         Width           =   128
+         Top             =   124
+         Underline       =   ""
+         Visible         =   True
+         Width           =   172
       End
       Begin StaticText StaticText_VerticalIntertia
@@ -413,5 +413,5 @@
          InitialParent   =   "PagePanel1"
          Italic          =   ""
-         Left            =   204
+         Left            =   500
          LockBottom      =   ""
          LockedInPosition=   False
@@ -428,5 +428,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   328
+         Top             =   124
          Underline       =   ""
          Visible         =   True
@@ -445,5 +445,5 @@
          InitialValue    =   "Narrow\rMid\rWide"
          Italic          =   ""
-         Left            =   20
+         Left            =   316
          ListIndex       =   0
          LockBottom      =   ""
@@ -458,8 +458,8 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   296
-         Underline       =   ""
-         Visible         =   True
-         Width           =   128
+         Top             =   92
+         Underline       =   ""
+         Visible         =   True
+         Width           =   172
       End
       Begin StaticText StaticText_Nuetral
@@ -474,5 +474,5 @@
          InitialParent   =   "PagePanel1"
          Italic          =   ""
-         Left            =   204
+         Left            =   500
          LockBottom      =   ""
          LockedInPosition=   False
@@ -489,5 +489,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   296
+         Top             =   92
          Underline       =   ""
          Visible         =   True
@@ -504,5 +504,5 @@
          Index           =   -2147483648
          InitialParent   =   "PagePanel1"
-         InitialValue    =   "5kHz\r2.5kHz\r1.2kHz"
+         InitialValue    =   "High\rMedium\rLow"
          Italic          =   ""
          Left            =   20
@@ -519,8 +519,8 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   266
-         Underline       =   ""
-         Visible         =   True
-         Width           =   128
+         Top             =   248
+         Underline       =   ""
+         Visible         =   True
+         Width           =   172
       End
       Begin StaticText StaticText_DFreq
@@ -550,5 +550,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   265
+         Top             =   247
          Underline       =   ""
          Visible         =   True
@@ -580,8 +580,8 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   234
-         Underline       =   ""
-         Visible         =   True
-         Width           =   128
+         Top             =   216
+         Underline       =   ""
+         Visible         =   True
+         Width           =   172
       End
       Begin StaticText StaticText_Dump
@@ -611,5 +611,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   234
+         Top             =   216
          Underline       =   ""
          Visible         =   True
@@ -641,8 +641,8 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   202
-         Underline       =   ""
-         Visible         =   True
-         Width           =   128
+         Top             =   184
+         Underline       =   ""
+         Visible         =   True
+         Width           =   172
       End
       Begin StaticText StaticText_DBand
@@ -672,5 +672,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   202
+         Top             =   184
          Underline       =   ""
          Visible         =   True
@@ -699,5 +699,5 @@
          TabPanelIndex   =   3
          TabStop         =   True
-         Top             =   174
+         Top             =   156
          Value           =   0
          Visible         =   True
@@ -727,5 +727,5 @@
          LockRight       =   ""
          LockTop         =   ""
-         Mask            =   "#"
+         Mask            =   "###"
          Multiline       =   ""
          Password        =   ""
@@ -742,5 +742,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   174
+         Top             =   156
          Underline       =   ""
          UseFocusRing    =   True
@@ -774,5 +774,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   174
+         Top             =   156
          Underline       =   ""
          Visible         =   True
@@ -804,8 +804,8 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   142
-         Underline       =   ""
-         Visible         =   True
-         Width           =   128
+         Top             =   124
+         Underline       =   ""
+         Visible         =   True
+         Width           =   172
       End
       Begin StaticText StaticText_Speed
@@ -835,5 +835,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   142
+         Top             =   124
          Underline       =   ""
          Visible         =   True
@@ -865,8 +865,8 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   110
-         Underline       =   ""
-         Visible         =   True
-         Width           =   128
+         Top             =   92
+         Underline       =   ""
+         Visible         =   True
+         Width           =   172
       End
       Begin StaticText StaticText_Gain
@@ -896,8 +896,100 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   111
+         Top             =   93
          Underline       =   ""
          Visible         =   True
          Width           =   100
+      End
+      Begin StaticText StaticText_SerialPort
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   193
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   2
+         TabPanelIndex   =   1
+         Text            =   "COM Port"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   115
+         Underline       =   ""
+         Visible         =   True
+         Width           =   100
+      End
+      Begin StaticText StaticText_CarType
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         Italic          =   ""
+         Left            =   193
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   3
+         TabPanelIndex   =   1
+         Text            =   "Car Type"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   172
+         Underline       =   ""
+         Visible         =   True
+         Width           =   100
+      End
+      Begin PopupMenu PopupMenu1
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "PagePanel1"
+         InitialValue    =   ""
+         Italic          =   ""
+         Left            =   20
+         ListIndex       =   0
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   4
+         TabPanelIndex   =   1
+         TabStop         =   True
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   218
+         Underline       =   ""
+         Visible         =   True
+         Width           =   161
       End
    End
@@ -909,10 +1001,10 @@
       Default         =   ""
       Enabled         =   True
-      Height          =   22
+      Height          =   "#defaultControlHeight"
       HelpTag         =   ""
       Index           =   -2147483648
       InitialParent   =   ""
       Italic          =   ""
-      Left            =   173
+      Left            =   16
       LockBottom      =   ""
       LockedInPosition=   False
@@ -926,5 +1018,5 @@
       TextFont        =   "System"
       TextSize        =   0
-      Top             =   14
+      Top             =   58
       Underline       =   ""
       Visible         =   True
@@ -938,10 +1030,10 @@
       Default         =   ""
       Enabled         =   True
-      Height          =   22
+      Height          =   "#defaultControlHeight"
       HelpTag         =   ""
       Index           =   -2147483648
       InitialParent   =   ""
       Italic          =   ""
-      Left            =   273
+      Left            =   118
       LockBottom      =   ""
       LockedInPosition=   False
@@ -955,5 +1047,5 @@
       TextFont        =   "System"
       TextSize        =   0
-      Top             =   14
+      Top             =   58
       Underline       =   ""
       Visible         =   True
@@ -967,10 +1059,10 @@
       Default         =   ""
       Enabled         =   True
-      Height          =   22
+      Height          =   "#defaultControlHeight"
       HelpTag         =   ""
       Index           =   -2147483648
       InitialParent   =   ""
       Italic          =   ""
-      Left            =   373
+      Left            =   220
       LockBottom      =   ""
       LockedInPosition=   False
@@ -984,5 +1076,92 @@
       TextFont        =   "System"
       TextSize        =   0
-      Top             =   14
+      Top             =   58
+      Underline       =   ""
+      Visible         =   True
+      Width           =   88
+   End
+   Begin PushButton PushButton_Read
+      AutoDeactivate  =   True
+      Bold            =   ""
+      Cancel          =   ""
+      Caption         =   "Read"
+      Default         =   ""
+      Enabled         =   True
+      Height          =   20
+      HelpTag         =   ""
+      Index           =   -2147483648
+      InitialParent   =   ""
+      Italic          =   ""
+      Left            =   16
+      LockBottom      =   ""
+      LockedInPosition=   False
+      LockLeft        =   ""
+      LockRight       =   ""
+      LockTop         =   ""
+      Scope           =   0
+      TabIndex        =   4
+      TabPanelIndex   =   0
+      TabStop         =   True
+      TextFont        =   "System"
+      TextSize        =   0
+      Top             =   452
+      Underline       =   ""
+      Visible         =   True
+      Width           =   88
+   End
+   Begin PushButton PushButton_Write
+      AutoDeactivate  =   True
+      Bold            =   ""
+      Cancel          =   ""
+      Caption         =   "Write"
+      Default         =   True
+      Enabled         =   True
+      Height          =   20
+      HelpTag         =   ""
+      Index           =   -2147483648
+      InitialParent   =   ""
+      Italic          =   ""
+      Left            =   118
+      LockBottom      =   ""
+      LockedInPosition=   False
+      LockLeft        =   ""
+      LockRight       =   ""
+      LockTop         =   ""
+      Scope           =   0
+      TabIndex        =   5
+      TabPanelIndex   =   0
+      TabStop         =   True
+      TextFont        =   "System"
+      TextSize        =   0
+      Top             =   452
+      Underline       =   ""
+      Visible         =   True
+      Width           =   88
+   End
+   Begin PushButton PushButton_Reset
+      AutoDeactivate  =   True
+      Bold            =   ""
+      Cancel          =   ""
+      Caption         =   "Reset"
+      Default         =   ""
+      Enabled         =   True
+      Height          =   20
+      HelpTag         =   ""
+      Index           =   -2147483648
+      InitialParent   =   ""
+      Italic          =   ""
+      Left            =   220
+      LockBottom      =   ""
+      LockedInPosition=   False
+      LockLeft        =   ""
+      LockRight       =   ""
+      LockTop         =   ""
+      Scope           =   0
+      TabIndex        =   6
+      TabPanelIndex   =   0
+      TabStop         =   True
+      TextFont        =   "System"
+      TextSize        =   0
+      Top             =   452
       Underline       =   ""
       Visible         =   True
@@ -993,6 +1172,20 @@
 
 #tag WindowCode
+	#tag Constant, Name = defaultControlHeight, Type = Double, Dynamic = False, Default = \"20", Scope = Public
+		#Tag Instance, Platform = Mac OS, Language = Default, Definition  = \"20"
+		#Tag Instance, Platform = Windows, Language = Default, Definition  = \"22"
+		#Tag Instance, Platform = Linux, Language = Default, Definition  = \"24"
+	#tag EndConstant
+
+
 #tag EndWindowCode
 
+#tag Events PushButton_General
+	#tag Event
+		Sub Action()
+		  PagePanel1.Value = 0
+		End Sub
+	#tag EndEvent
+#tag EndEvents
 #tag Events PushButton_Car
 	#tag Event
@@ -1002,2 +1195,9 @@
 	#tag EndEvent
 #tag EndEvents
+#tag Events PushButton_Advanced
+	#tag Event
+		Sub Action()
+		  PagePanel1.Value = 3
+		End Sub
+	#tag EndEvent
+#tag EndEvents