Index: /trunk/desktop/mainWindow.rbfrm
===================================================================
--- /trunk/desktop/mainWindow.rbfrm	(revision 26)
+++ /trunk/desktop/mainWindow.rbfrm	(revision 27)
@@ -138,5 +138,5 @@
       Top             =   0
       Underline       =   ""
-      Value           =   0
+      Value           =   1
       Visible         =   True
       Width           =   525
@@ -1709,5 +1709,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   128
+         Top             =   126
          Underline       =   ""
          UseFocusRing    =   True
@@ -1753,5 +1753,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   94
+         Top             =   92
          Underline       =   ""
          UseFocusRing    =   True
@@ -1797,5 +1797,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   60
+         Top             =   58
          Underline       =   ""
          UseFocusRing    =   True
@@ -1829,5 +1829,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   62
+         Top             =   60
          Underline       =   ""
          Visible         =   True
@@ -1854,4 +1854,35 @@
          Scope           =   0
          TabIndex        =   45
+         TabPanelIndex   =   2
+         Text            =   "Neutral High"
+         TextAlign       =   0
+         TextColor       =   "&cB8B8B8"
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   93
+         Underline       =   ""
+         Visible         =   True
+         Width           =   106
+      End
+      Begin StaticText StaticText_Byte12
+         AutoDeactivate  =   True
+         Bold            =   ""
+         DataField       =   ""
+         DataSource      =   ""
+         Enabled         =   True
+         Height          =   20
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "TabPanel1"
+         Italic          =   ""
+         Left            =   424
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Multiline       =   ""
+         Scope           =   0
+         TabIndex        =   46
          TabPanelIndex   =   2
          Text            =   "Neutral Low"
@@ -1860,36 +1891,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   95
-         Underline       =   ""
-         Visible         =   True
-         Width           =   106
-      End
-      Begin StaticText StaticText_Byte12
-         AutoDeactivate  =   True
-         Bold            =   ""
-         DataField       =   ""
-         DataSource      =   ""
-         Enabled         =   True
-         Height          =   20
-         HelpTag         =   ""
-         Index           =   -2147483648
-         InitialParent   =   "TabPanel1"
-         Italic          =   ""
-         Left            =   424
-         LockBottom      =   ""
-         LockedInPosition=   False
-         LockLeft        =   ""
-         LockRight       =   ""
-         LockTop         =   ""
-         Multiline       =   ""
-         Scope           =   0
-         TabIndex        =   46
-         TabPanelIndex   =   2
-         Text            =   "Neutral High"
-         TextAlign       =   0
-         TextColor       =   "&cB8B8B8"
-         TextFont        =   "System"
-         TextSize        =   0
-         Top             =   128
+         Top             =   126
          Underline       =   ""
          Visible         =   True
@@ -1934,5 +1934,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   331
+         Top             =   329
          Underline       =   ""
          UseFocusRing    =   True
@@ -1978,5 +1978,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   297
+         Top             =   295
          Underline       =   ""
          UseFocusRing    =   True
@@ -2022,5 +2022,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   263
+         Top             =   261
          Underline       =   ""
          UseFocusRing    =   True
@@ -2066,5 +2066,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   229
+         Top             =   227
          Underline       =   ""
          UseFocusRing    =   True
@@ -2110,5 +2110,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   195
+         Top             =   193
          Underline       =   ""
          UseFocusRing    =   True
@@ -2154,5 +2154,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   160
+         Top             =   158
          Underline       =   ""
          UseFocusRing    =   True
@@ -2186,5 +2186,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   162
+         Top             =   160
          Underline       =   ""
          Visible         =   True
@@ -2217,5 +2217,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   196
+         Top             =   194
          Underline       =   ""
          Visible         =   True
@@ -2248,5 +2248,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   230
+         Top             =   228
          Underline       =   ""
          Visible         =   True
@@ -2279,5 +2279,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   264
+         Top             =   262
          Underline       =   ""
          Visible         =   True
@@ -2310,5 +2310,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   298
+         Top             =   296
          Underline       =   ""
          Visible         =   True
@@ -2341,5 +2341,5 @@
          TextFont        =   "System"
          TextSize        =   0
-         Top             =   332
+         Top             =   330
          Underline       =   ""
          Visible         =   False