Index: /trunk/desktop/mainWindow.rbfrm
===================================================================
--- /trunk/desktop/mainWindow.rbfrm	(revision 34)
+++ /trunk/desktop/mainWindow.rbfrm	(revision 36)
@@ -109,5 +109,5 @@
       Top             =   0
       Underline       =   ""
-      Value           =   1
+      Value           =   0
       Visible         =   True
       Width           =   525
@@ -1103,5 +1103,5 @@
          TabIndex        =   9
          TabPanelIndex   =   1
-         Text            =   "Virtual Intertia"
+         Text            =   "Virtual Inertia"
          TextAlign       =   0
          TextColor       =   "&cB8B8B8"
@@ -1347,5 +1347,5 @@
          TabIndex        =   17
          TabPanelIndex   =   1
-         Text            =   "Drive Band"
+         Text            =   "Dead Band"
          TextAlign       =   0
          TextColor       =   "&cB8B8B8"
@@ -2378,4 +2378,61 @@
          Visible         =   True
          Width           =   150
+      End
+      Begin GroupBox GroupBox_Description
+         AutoDeactivate  =   True
+         Bold            =   ""
+         Caption         =   ""
+         Enabled         =   True
+         Height          =   104
+         HelpTag         =   ""
+         Index           =   -2147483648
+         InitialParent   =   "TabPanel1"
+         Italic          =   ""
+         Left            =   209
+         LockBottom      =   ""
+         LockedInPosition=   False
+         LockLeft        =   ""
+         LockRight       =   ""
+         LockTop         =   ""
+         Scope           =   0
+         TabIndex        =   27
+         TabPanelIndex   =   1
+         TextFont        =   "System"
+         TextSize        =   0
+         Top             =   250
+         Underline       =   ""
+         Visible         =   True
+         Width           =   491
+         Begin StaticText StaticText_Description
+            AutoDeactivate  =   True
+            Bold            =   ""
+            DataField       =   ""
+            DataSource      =   ""
+            Enabled         =   True
+            Height          =   80
+            HelpTag         =   ""
+            Index           =   -2147483648
+            InitialParent   =   "GroupBox_Description"
+            Italic          =   ""
+            Left            =   222
+            LockBottom      =   ""
+            LockedInPosition=   False
+            LockLeft        =   ""
+            LockRight       =   ""
+            LockTop         =   ""
+            Multiline       =   True
+            Scope           =   0
+            TabIndex        =   0
+            TabPanelIndex   =   1
+            Text            =   ""
+            TextAlign       =   0
+            TextColor       =   "&cB8B8B8"
+            TextFont        =   "System"
+            TextSize        =   0
+            Top             =   262
+            Underline       =   ""
+            Visible         =   True
+            Width           =   465
+         End
       End
    End
@@ -3206,4 +3263,9 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Click Read to read the configuration of the currently connected car."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events PushButton_Write
@@ -3211,4 +3273,9 @@
 		Sub Action()
 		  ICSSerialPort1.writeCar
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Click Write to write the settings selected above to the currently connected car."
 		End Sub
 	#tag EndEvent
@@ -3362,4 +3429,9 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "THROTTLE GAIN adjusts how the Gryo will impact throttle."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events EditField_THGain
@@ -3380,4 +3452,16 @@
 		  
 		  Slider_THGain.Value = val(me.Text)
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "THROTTLE GAIN adjusts how the Gryo will impact throttle."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_THGain
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "THROTTLE GAIN adjusts how the Gryo will impact throttle."
 		End Sub
 	#tag EndEvent
@@ -3395,4 +3479,9 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "STEERING GAIN adjusts how the Gryo will impact steering."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events EditField_STGain
@@ -3415,4 +3504,16 @@
 		  
 		  
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "STEERING GAIN adjusts how the Gryo will impact steering."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_STGain
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "STEERING GAIN adjusts how the Gryo will impact steering."
 		End Sub
 	#tag EndEvent
@@ -3438,4 +3539,16 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "BACK TIMING sets the delay needed at neutral before you can use reverse."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_BackTiming
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "BACK TIMING sets the delay needed at neutral before you can use reverse."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events PopupMenu_VerticalInteria
@@ -3459,4 +3572,16 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "VIRTUAL INERTIA sets how far the car will roll after the throttle is released."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_VerticalIntertia
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "VIRTUAL INERTIA sets how far the car will roll after the throttle is released."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events PopupMenu_Nuetral
@@ -3480,4 +3605,16 @@
 		    
 		  End Select
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "NEUTRAL sets the width of the neutral area for the throttle trigger on the transmitter."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_Nuetral
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "NEUTRAL sets the width of the neutral area for the throttle trigger on the transmitter."
 		End Sub
 	#tag EndEvent
@@ -3499,4 +3636,16 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "DRIVE FREQUENCY sets the frequency of the signal sent to the motor.  A lower frequency can provide higher torque but result in lower battery life."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_DFreq
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "DRIVE FREQUENCY sets the frequency of the signal sent to the motor.  A lower frequency can provide higher torque but result in lower battery life."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events PopupMenu_Dump
@@ -3512,4 +3661,16 @@
 		    
 		  End Select
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "DUMP sets the behavior of the servo when it needs to stop.  When set to Smooth the servo begins stopping before getting to the set point.  When set to Over the servo will go past the set point before stopping and then return back to the set point."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_Dump
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "DUMP sets the behavior of the servo when it needs to stop.  When set to Smooth the servo begins stopping before getting to the set point.  When set to Over the servo will go past the set point before stopping and then return back to the set point."
 		End Sub
 	#tag EndEvent
@@ -3529,4 +3690,16 @@
 		    
 		  End Select
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "DEAD BAND adjusts how close to the correct position the servo must be."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_DBand
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "DEAD BAND adjusts how close to the correct position the servo must be."
 		End Sub
 	#tag EndEvent
@@ -3546,4 +3719,9 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "PUNCH controls the servo's response.  Setting this high can cause a twitchy response to steering."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events EditField_Punch
@@ -3564,4 +3742,16 @@
 		  
 		  Slider_Punch.Value = val(me.Text)
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "PUNCH controls the servo's response.  Setting this high can cause a twitchy response to steering."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_Punch
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "PUNCH controls the servo's response.  Setting this high can cause a twitchy response to steering."
 		End Sub
 	#tag EndEvent
@@ -3587,4 +3777,16 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "SPEED controls the speed that the servo will respond to input from the transmitter."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_Speed
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "SPEED controls the speed that the servo will respond to input from the transmitter."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events PopupMenu_Gain
@@ -3606,4 +3808,23 @@
 		  End Select
 		  
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "GAIN controls the amount of force the servo motor will use to stay in position."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_Gain
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "GAIN controls the amount of force the servo motor will use to stay in position."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_CarType
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Setting a car type will enable and disable the appropriate options on this screen."
 		End Sub
 	#tag EndEvent
@@ -3616,4 +3837,9 @@
 		  disableControls
 		  
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Setting a car type will enable and disable the appropriate options on this screen."
 		End Sub
 	#tag EndEvent
@@ -3788,4 +4014,16 @@
 		Sub Action()
 		  ICSSerialPort1.setDefaultValues
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Clicking Default will set the settings above to the defaults for the selected Car Type.  No data will be written to the car until the Write button has been clicked."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_SerialPort
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Select which COM Port to use using the drop down menu.  If you can not find a valid COM Port you may need to install a driver for your ICS adapter."
 		End Sub
 	#tag EndEvent
@@ -3832,4 +4070,16 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Select which COM Port to use using the drop down menu.  If you can not find a valid COM Port you may need to install a driver for your ICS adapter."
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events StaticText_Profiles
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Profiles provide a way for you to create common settings that you can write easily to multiple cars or create a backup of particular configurations that you like.  After creating a profile you can use the drop down menu to select it or o ther profiles."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events PopupMenu_Profile
@@ -3857,4 +4107,9 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Profiles provide a way for you to create common settings that you can write easily to multiple cars or create a backup of particular configurations that you like.  After creating a profile you can use the drop down menu to select it or other profiles."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events PushButton_SaveProfile
@@ -3866,4 +4121,9 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Click Save to save the current car settings to the selected profile."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events PushButton_Delete
@@ -3883,4 +4143,9 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Click Delete to delete the currently selected profile.  This action can not be undone."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events PushButton_Create
@@ -3891,4 +4156,9 @@
 		End Sub
 	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Click Create to create a new profile.  You will be prompted to enter a new name for the profile.  The name must be unique."
+		End Sub
+	#tag EndEvent
 #tag EndEvents
 #tag Events PushButton_Import
@@ -3902,4 +4172,9 @@
 		    MsgBox "Error importing profile"
 		  end if
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Click Import to import car settings from a file.  You will be prompted to select an appropriate file to import."
 		End Sub
 	#tag EndEvent
@@ -3913,3 +4188,8 @@
 		End Sub
 	#tag EndEvent
-#tag EndEvents
+	#tag Event
+		Sub MouseEnter()
+		  StaticText_Description.Text = "Click Export to save the current profile to a file on your computer.  This file can be shared with other people to allow them to configure their car using the same settings.  Make sure you have saved your changes before exporting them."
+		End Sub
+	#tag EndEvent
+#tag EndEvents